# Transaction Details

> This allows you to pull the full transaction details for a given transaction. **Note**: All objects and fields marked `required` in the Transaction Details response are also **nullable**. This includes any sub-components (objects or fields) also marked `required`.

Source: https://help.boltapp.com/api-reference/embeddable-checkout-v1/transactions/gettransactiondetails

`GET /v1/merchant/transactions/{REFERENCE}`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Embedded API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\nThe Embedded API reference is a consolidation of critical APIs that a developer will use when integrating with Bolt's Embedded Accounts product suite.\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/transactions/{REFERENCE}": {
      "get": {
        "description": "This allows you to pull the full transaction details for a given transaction.\n\n **Note**: All objects and fields marked `required` in the Transaction Details response are also **nullable**. This includes any sub-components (objects or fields) also marked `required`.\n",
        "operationId": "getTransactionDetails",
        "parameters": [
          {
            "$ref": "#/components/parameters/transaction_reference_path_param"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/transaction_details"
          },
          "403": {
            "$ref": "#/components/responses/transaction_details_error_403"
          },
          "422": {
            "$ref": "#/components/responses/transaction_details_error_422"
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ],
        "summary": "Transaction Details",
        "tags": [
          "Transactions"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "transaction_reference_path_param": {
        "description": "This is the Bolt transaction reference. (ex. N7Y3-NFKC-VFRF)",
        "in": "path",
        "name": "REFERENCE",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "responses": {
      "transaction_details": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "address_change_request_metadata": {
                  "$ref": "#/components/schemas/address_change_request_metadata_view"
                },
                "adjust_transactions": {
                  "$ref": "#/components/schemas/adjust_transactions"
                },
                "amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "auth_verification_status": {
                  "$ref": "#/components/schemas/authorization_verification_status"
                },
                "authorization": {
                  "$ref": "#/components/schemas/credit_card_authorization_view"
                },
                "authorization_id": {
                  "$ref": "#/components/schemas/authorization_id"
                },
                "capture": {
                  "$ref": "#/components/schemas/capture_view"
                },
                "captures": {
                  "$ref": "#/components/schemas/captures_view"
                },
                "chargeback_details": {
                  "$ref": "#/components/schemas/chargeback_details"
                },
                "credit": {
                  "$ref": "#/components/schemas/credit"
                },
                "custom_fields": {
                  "$ref": "#/components/schemas/custom_fields"
                },
                "customer_list_status": {
                  "$ref": "#/components/schemas/customer_list_status"
                },
                "date": {
                  "$ref": "#/components/schemas/transaction_date"
                },
                "from_consumer": {
                  "$ref": "#/components/schemas/credit_card_user"
                },
                "from_consumer_membership_users": {
                  "$ref": "#/components/schemas/consumer_user_membership"
                },
                "from_credit_card": {
                  "$ref": "#/components/schemas/credit_card_view"
                },
                "id": {
                  "$ref": "#/components/schemas/transaction_id"
                },
                "indemnification_decision": {
                  "$ref": "#/components/schemas/transaction_indemnification_decision"
                },
                "indemnification_reason": {
                  "$ref": "#/components/schemas/transaction_indemnification_reason"
                },
                "last_viewed_utc": {
                  "$ref": "#/components/schemas/last_viewed_utc"
                },
                "last4": {
                  "$ref": "#/components/schemas/card_last4"
                },
                "manual_disputes": {
                  "$ref": "#/components/schemas/manual_disputes"
                },
                "merchant": {
                  "$ref": "#/components/schemas/merchant"
                },
                "merchant_division": {
                  "$ref": "#/components/schemas/merchant_division"
                },
                "merchant_order_number": {
                  "$ref": "#/components/schemas/merchant_order_number"
                },
                "order": {
                  "$ref": "#/components/schemas/order_view"
                },
                "order_decision": {
                  "$ref": "#/components/schemas/order_decision"
                },
                "platform_metadata": {
                  "additionalProperties": {
                    "type": "string"
                  },
                  "type": "object"
                },
                "processor": {
                  "$ref": "#/components/schemas/transaction_processor"
                },
                "reference": {
                  "$ref": "#/components/schemas/transaction_reference"
                },
                "refund_transaction_ids": {
                  "$ref": "#/components/schemas/refund_transaction_ids"
                },
                "refund_transactions": {
                  "$ref": "#/components/schemas/refund_transactions_view"
                },
                "refunded_amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "review_ticket": {
                  "$ref": "#/components/schemas/review_ticket"
                },
                "risk_insights": {
                  "$ref": "#/components/schemas/risk_insights.yml"
                },
                "risk_review_status": {
                  "$ref": "#/components/schemas/risk_review_status"
                },
                "risk_score": {
                  "type": "integer"
                },
                "source_transaction": {
                  "$ref": "#/components/schemas/transaction_view"
                },
                "splits": {
                  "$ref": "#/components/schemas/splits_view"
                },
                "status": {
                  "$ref": "#/components/schemas/transaction_status"
                },
                "timeline": {
                  "$ref": "#/components/schemas/transaction_timeline_view"
                },
                "to_consumer": {
                  "$ref": "#/components/schemas/consumer_self_view"
                },
                "to_credit_card": {
                  "$ref": "#/components/schemas/credit_card_view"
                },
                "transaction_properties": {
                  "additionalProperties": {
                    "type": "string"
                  },
                  "type": "object"
                },
                "transaction_rejection_details": {
                  "$ref": "#/components/schemas/transaction_rejection_details_view"
                },
                "type": {
                  "$ref": "#/components/schemas/transaction_type"
                },
                "view_status": {
                  "type": "string"
                },
                "void": {
                  "$ref": "#/components/schemas/credit_card_void_view"
                },
                "void_cause": {
                  "type": "string"
                }
              },
              "type": "object"
            }
          }
        },
        "description": "Transaction Details Retrieved\n"
      },
      "transaction_details_error_403": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      },
      "transaction_details_error_422": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/errors_bolt_api_response"
            }
          }
        },
        "description": "Generic Error Schema"
      }
    },
    "schemas": {
      "address_change_request_metadata_view": {
        "properties": {
          "can_change_shipping_address": {
            "type": "boolean"
          },
          "id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "ticket_id": {
            "type": "string"
          },
          "ticket_status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "adjust_transactions": {
        "description": "**Nullable** for Transactions Details.\n",
        "items": {
          "$ref": "#/components/schemas/transaction_view"
        },
        "type": "array"
      },
      "transaction_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "authorization": {
            "$ref": "#/components/schemas/credit_card_authorization_view"
          },
          "capture": {
            "$ref": "#/components/schemas/capture_view"
          },
          "captures": {
            "items": {
              "$ref": "#/components/schemas/credit_card_capture_view"
            },
            "type": "array"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_card_credit_view"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/transaction_indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/transaction_indemnification_reason"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "last_viewed_utc": {
            "format": "int64",
            "type": "number"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division_summary_view"
          },
          "merchant_order_number": {
            "type": "string"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision_details_view"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket_view"
          },
          "risk_insights": {
            "$ref": "#/components/schemas/risk_model_external_result_view"
          },
          "risk_review_status": {
            "$ref": "#/components/schemas/risk_review_status"
          },
          "risk_score": {
            "format": "int64",
            "type": "integer"
          },
          "splits": {
            "items": {
              "$ref": "#/components/schemas/transaction_splits_view"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "transaction_properties": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "void": {
            "$ref": "#/components/schemas/credit_card_void_view"
          },
          "view_status": {
            "enum": [
              "not_viewed",
              "viewed",
              "viewing"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "amount_view": {
        "properties": {
          "amount": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          },
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_authorization_view": {
        "properties": {
          "auth": {
            "type": "string"
          },
          "avs_response": {
            "enum": [
              "00",
              "01",
              "02",
              "10",
              "11",
              "12",
              "13",
              "14",
              "20",
              "30",
              "31",
              "32",
              "33",
              "34",
              "40",
              "adyen_",
              "adyen_A",
              "adyen_N",
              "adyen_U",
              "adyen_S",
              "adyen_R",
              "adyen_W",
              "adyen_T",
              "adyen_Z",
              "adyen_D",
              "adyen_F",
              "adyen_M",
              "adyen_X",
              "adyen_Y",
              "adyen_B",
              "adyen_P",
              "adyen_C",
              "adyen_G",
              "adyen_I",
              "adyen_K"
            ],
            "type": "string"
          },
          "cvv_response": {
            "enum": [
              "M",
              "N",
              "P",
              "S",
              "U",
              "D",
              "X",
              "Y",
              "1",
              "2",
              "3",
              "pass",
              "fail",
              "unavailable",
              "unchecked",
              "braintree_M",
              "braintree_N",
              "braintree_U",
              "braintree_B",
              "braintree_A",
              "braintree_I",
              "braintree_S",
              "CVV2"
            ],
            "type": "string"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "processor": {
            "enum": [
              "vantiv",
              "adyen_payfac",
              "adyen_gateway",
              "stripe",
              "braintree",
              "cybersource",
              "nmi",
              "authorize_net",
              "radial",
              "shopify_payments",
              "rocketgate"
            ],
            "type": "string"
          },
          "reason": {
            "$ref": "#/components/schemas/credit_card_authorization_reason"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_authorization_status"
          }
        },
        "type": "object"
      },
      "transaction_merchant_event_id": {
        "description": "The reference ID associated with a transaction event (auth, capture, refund, void). This is an arbitrary identifier created by the merchant. Bolt does not enforce any uniqueness constraints on this ID. It is up to the merchant to generate identifiers that properly fulfill its needs.",
        "type": "string",
        "examples": [
          "dbe0cd5d-3261-41d9-ba61-49e5b9d07567"
        ]
      },
      "credit_card_authorization_reason": {
        "description": "The reason code explaining the authorization status.\n  * `1` - none\n  * `2` - invalid_amount\n  * `3` - invalid_cvv\n  * `4` - invalid_cc_number\n  * `5` - expired\n  * `6` - risk\n  * `7` - lost_stolen\n  * `8` - call_issuer\n  * `9` - invalid_merchant_for_card\n  * `10` - unsupported_payment_method\n",
        "enum": [
          "none",
          "invalid_amount",
          "invalid_cvv",
          "invalid_cc_number",
          "expired",
          "risk",
          "lost_stolen",
          "call_issuer",
          "invalid_merchant_for_card",
          "unsupported_payment_method",
          "processor_server_error"
        ],
        "type": "string"
      },
      "credit_card_authorization_status": {
        "description": "The status of the authorization request.\n  * `1` - succeeded\n  * `2` - declined\n  * `3` - error\n",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "capture_view": {
        "description": "Deprecated. Use `captures`.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "description": "Additional information about the capture. For example, the processor capture ID. **Nullable** for Transactions Details.",
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "splits": {
            "description": "A split of fees by type and amount. **Nullable** for Transactions Details.",
            "items": {
              "description": "A split of fees by type and amount.",
              "properties": {
                "amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "type": {
                  "description": "Fee type options. **Nullable** for Transactions Details.\n",
                  "enum": [
                    "net",
                    "processing_fee",
                    "risk_fee",
                    "apm_fee",
                    "network_fee",
                    "platform_fee",
                    "bolt_account_fee"
                  ],
                  "type": "string",
                  "examples": [
                    "processing_fee"
                  ]
                }
              },
              "type": "object"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "capture_id": {
        "description": "The unique ID for the capture. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "BcDE4fafd2a4"
        ]
      },
      "capture_status": {
        "description": "The status of the capture. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "credit_card_capture_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "splits": {
            "$ref": "#/components/schemas/transaction_splits_view"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "transaction_splits_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "net",
              "processing_fee",
              "float",
              "reserve",
              "adjustment",
              "bolt_fee"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_credit_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/credit_card_credit_status"
          },
          {
            "properties": {
              "merchant_event_id": {
                "$ref": "#/components/schemas/transaction_merchant_event_id"
              }
            }
          }
        ]
      },
      "credit_card_credit_status": {
        "properties": {
          "status": {
            "description": "The status of the refund to a card.",
            "enum": [
              "succeeded",
              "declined",
              "error",
              "pending",
              "in progress"
            ],
            "type": "string",
            "examples": [
              "succeeded"
            ]
          }
        },
        "type": "object"
      },
      "transaction_date": {
        "description": "Transaction date. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1615407159447
        ]
      },
      "consumer_self_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/consumer_summary_view"
          },
          {
            "properties": {
              "authentication": {
                "$ref": "#/components/schemas/login_view"
              },
              "email_verified": {
                "type": "boolean"
              },
              "emails": {
                "items": {
                  "$ref": "#/components/schemas/email_view"
                },
                "type": "array"
              },
              "first_name": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_name": {
                "type": "string"
              },
              "phones": {
                "items": {
                  "$ref": "#/components/schemas/phone_view"
                },
                "type": "array"
              },
              "platform_account_status": {
                "enum": [
                  "none",
                  "linked",
                  "unlinked"
                ],
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "consumer_summary_view": {
        "properties": {
          "first_name": {
            "description": "The given name of the person associated with this record.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this record.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          }
        },
        "type": "object"
      },
      "login_view": {
        "properties": {
          "actions": {
            "items": {
              "enum": [
                "set_password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "methods": {
            "items": {
              "enum": [
                "code",
                "code_password",
                "password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "sso_authorization_url": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "email_view": {
        "properties": {
          "address": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "priority": {
        "description": "Describes the card's priority.\n",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "phone_view": {
        "properties": {
          "country_code": {
            "description": "Used for the 2-digit ISO 3166-1 alpha 2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "id": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "priority": {
            "enum": [
              "primary",
              "listed"
            ],
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_view": {
        "description": "Contains details about the credit card transaction.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "bin": {
            "$ref": "#/components/schemas/card_bin"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_display_network"
          },
          "expiration": {
            "$ref": "#/components/schemas/card_expiration"
          },
          "icon_asset_path": {
            "$ref": "#/components/schemas/icon_asset_path"
          },
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "$ref": "#/components/schemas/card_status"
          },
          "token": {
            "$ref": "#/components/schemas/card_token"
          },
          "token_type": {
            "$ref": "#/components/schemas/card_token_type"
          }
        },
        "type": "object"
      },
      "address_view": {
        "description": "The address object returned in the response.",
        "properties": {
          "company": {
            "description": "The company name associated with this address.",
            "type": "string",
            "examples": [
              "Bolt"
            ]
          },
          "country": {
            "description": "The name of the country associated with this address.",
            "type": "string",
            "examples": [
              "United States"
            ]
          },
          "country_code": {
            "description": "The ISO 3166-1 alpha-2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "door_code": {
            "$ref": "#/components/schemas/door_code"
          },
          "email_address": {
            "description": "The email address associated with this address.",
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "description": "The given name of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "description": "The unique Bolt ID associated with this address.",
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          },
          "locality": {
            "description": "The city name details associated with this address.",
            "type": "string",
            "examples": [
              "Brooklyn"
            ]
          },
          "name": {
            "description": "The given and surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan Watts"
            ]
          },
          "phone_number": {
            "description": "The phone number associated with this address.",
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "description": "The postal or zip code associated with this address.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "priority": {
            "description": "The shopper-indicated priority of this address compared to other addresses on their account.",
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "primary",
              "listed"
            ],
            "examples": [
              "primary"
            ]
          },
          "region": {
            "description": "The region details such as state or province associated with this address.",
            "type": "string",
            "examples": [
              "NY"
            ]
          },
          "region_code": {
            "description": "The the ISO 3166-2 region code associated with this address.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "NY"
            ]
          },
          "street_address1": {
            "description": "The street number and street name of the address.",
            "type": "string",
            "examples": [
              "888 main street"
            ]
          },
          "street_address2": {
            "description": "Any apartment, floor, or unit details.",
            "type": "string",
            "examples": [
              "apt 3021"
            ]
          },
          "street_address3": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "c/o Alicia Watts"
            ]
          },
          "street_address4": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bridge Street Apartment Building B"
            ]
          }
        },
        "type": "object"
      },
      "door_code": {
        "description": "The building door code or community gate code.",
        "maxLength": 1024,
        "type": [
          "string",
          "null"
        ],
        "examples": [
          "123456"
        ]
      },
      "email": {
        "description": "An email address.",
        "format": "email",
        "type": "string",
        "maxLength": 255,
        "examples": [
          "alan.watts@example.com"
        ]
      },
      "phone": {
        "description": "A phone number following E164 standards, in its globalized format, i.e. prepended with a plus sign.",
        "maxLength": 16,
        "type": "string",
        "examples": [
          "+12125550199"
        ]
      },
      "card_bin": {
        "description": "The Bank Identification Number for the credit card; this is typically the first 4-6 digits of the credit card number. **Nullable** for Transactions Details.",
        "maxLength": 6,
        "minLength": 4,
        "type": "string",
        "examples": [
          "402201"
        ]
      },
      "card_display_network": {
        "description": "The card's network. **Nullable** for Transactions Details.",
        "enum": [
          "Credit Card",
          "American Express",
          "Diners Club",
          "Discover",
          "JCB",
          "MasterCard",
          "Union Pay",
          "Visa"
        ],
        "type": "string",
        "examples": [
          "Visa"
        ]
      },
      "card_expiration": {
        "description": "The card's expiration. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1654041600000
        ]
      },
      "icon_asset_path": {
        "description": "The asset link for displayed icons. This link varies depending on payment method used.  **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "img/issuer-logos/visa.png"
        ]
      },
      "card_id": {
        "description": "The card's ID. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "AB3rJKam5DhYE"
        ]
      },
      "card_last4": {
        "description": "The card's last 4 digits. **Nullable** for Transactions Details.",
        "maxLength": 4,
        "minLength": 4,
        "type": "string",
        "examples": [
          "4021"
        ]
      },
      "card_network": {
        "description": "The card's network code. **Nullable** for Transactions Details. Note: LEGACY diners_club_us_ca now tagged as mastercard\n",
        "enum": [
          "visa",
          "mastercard",
          "amex",
          "discover",
          "dinersclub",
          "jcb",
          "unionpay",
          "alliancedata",
          "citiplcc",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "visa"
        ]
      },
      "card_status": {
        "description": "The card's status. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "created",
          "inactive",
          "transient"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "card_token": {
        "description": "The Bolt token associated to the credit card. Required for new, unsaved cards.",
        "type": "string",
        "examples": [
          "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
        ]
      },
      "card_token_type": {
        "description": "Used to define which payment processor generated the token for this credit card.\n",
        "enum": [
          "vantiv",
          "applepay",
          "bolt",
          "stripe",
          "plcc",
          "applepay_encrypted_blob"
        ],
        "type": "string",
        "examples": [
          "bolt"
        ]
      },
      "transaction_id": {
        "description": "The unique ID associated with the transaction. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "transaction_indemnification_decision": {
        "description": "Describes whether the transaction is indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "indemnified",
          "not_indemnified"
        ],
        "type": "string",
        "examples": [
          "indemnified"
        ]
      },
      "transaction_indemnification_reason": {
        "description": "Describes the reason that the transaction is or is not indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "checkout",
          "virtual_terminal",
          "merchant_back_office",
          "merchant_force_approved",
          "reversibly_rejected",
          "irreversibly_rejected",
          "risk_engine_approved",
          "analyst_approved",
          "auth_verification",
          "paypal",
          "afterpay",
          "direct_payments",
          "whitelist",
          "external_review",
          "affirm",
          "merchant_ip_address",
          "amazon_pay",
          "apple_pay",
          "phone_order",
          "klarna",
          "cardholder_authentication",
          "address_change_rejected",
          "indemnify_direct_payments",
          "indemnify_virtual_terminal",
          "membership_subscription",
          "embedded_guest_checkout",
          "risk_assessment_only",
          "sezzle",
          "credova",
          "subscription",
          "indemnify_apm_transaction"
        ],
        "type": "string",
        "examples": [
          "merchant_force_approved"
        ]
      },
      "merchant_division_summary_view": {
        "properties": {
          "account_page_url": {
            "type": "string"
          },
          "api_base_domain_url": {
            "type": "string"
          },
          "base_domain_url": {
            "type": "string"
          },
          "confirmation_redirect_url": {
            "type": "string"
          },
          "create_order_url": {
            "type": "string"
          },
          "debug_url": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "get_account_url": {
            "type": "string"
          },
          "shopper_custom_fields_updated_url": {
            "type": "string"
          },
          "hook_type": {
            "enum": [
              "1",
              "2",
              "3",
              "4",
              "5",
              "6"
            ],
            "type": "string"
          },
          "hook_url": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "is_universal_merchant_api": {
            "type": "boolean"
          },
          "is_webhooks_v2": {
            "type": "boolean"
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "logo_dashboard": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "merchant_id": {
            "type": "string"
          },
          "mobile_app_domain_url": {
            "type": "string"
          },
          "oauth_logout_url": {
            "type": "string"
          },
          "oauth_redirect_url": {
            "type": "string"
          },
          "platform": {
            "type": "string"
          },
          "plugin_config_url": {
            "type": "string"
          },
          "privacy_policy_url": {
            "type": "string"
          },
          "product_info_url": {
            "type": "string"
          },
          "public_id": {
            "type": "string"
          },
          "remote_apiurl": {
            "type": "string"
          },
          "shipping_and_tax_url": {
            "type": "string"
          },
          "shipping_url": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "tax_url": {
            "type": "string"
          },
          "terms_of_service_url": {
            "type": "string"
          },
          "universal_merchant_api_url": {
            "type": "string"
          },
          "update_cart_url": {
            "type": "string"
          },
          "use_async_refunds_amazon_pay": {
            "type": "boolean"
          },
          "use_async_refunds_paypal": {
            "type": "boolean"
          },
          "validate_additional_account_data_url": {
            "type": "string"
          },
          "merchant_password_login_url": {
            "description": "(Optional) Link shoppers can use to log into a merchant store via the Bolt SSO modal.",
            "type": "string",
            "examples": [
              "https://www.example.com/login"
            ]
          }
        },
        "type": "object"
      },
      "merchant_division_logo_view": {
        "properties": {
          "domain": {
            "type": "string"
          },
          "resource": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "order_decision_details_view": {
        "properties": {
          "decision_factors": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "score": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "transaction_processor": {
        "description": "The processor used. **Nullable** for Transactions Details.",
        "enum": [
          "adyen_gateway",
          "adyen_payfac",
          "affirm",
          "afterpay",
          "alliance_data",
          "amazon_pay",
          "authorize_net",
          "braintree",
          "checkout_com",
          "cybersource",
          "first_data",
          "klarna",
          "nmi",
          "orbital",
          "paypal",
          "radial",
          "radial_klarna",
          "radial_paypal",
          "rocketgate",
          "sezzle",
          "shopify_payments",
          "stripe",
          "vantiv"
        ],
        "type": "string",
        "examples": [
          "adyen_gateway"
        ]
      },
      "transaction_reference": {
        "description": "The transaction's 12-digit Bolt reference ID. **Nullable** for Transactions Details.",
        "maxLength": 12,
        "minLength": 12,
        "type": "string",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "review_ticket_view": {
        "properties": {
          "id": {
            "type": "string"
          },
          "request_deadline": {
            "format": "int64",
            "type": "number"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "risk_model_external_result_view": {
        "properties": {
          "available": {
            "type": "boolean"
          },
          "decision_factors": {
            "description": "Used to list a total of up to 5 decision factors used by the risk model to determine the risk analysis result.",
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "fraud_probability": {
            "format": "int",
            "type": "number"
          },
          "payment_instrument_factors": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "factor1": "factor1",
                  "factor2": "factor2"
                }
              ]
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "risk_review_status": {
        "description": "Describes the current Risk Review status. A transaction could be unreviewed, reviewed, or pending manual review by the Bolt team.",
        "enum": [
          "unknown",
          "needs_review",
          "reviewed"
        ],
        "type": "string",
        "examples": [
          "reviewed"
        ]
      },
      "transaction_status": {
        "description": "The transaction's status.",
        "enum": [
          "in_progress",
          "completed",
          "cancelled",
          "failed",
          "pending",
          "created",
          "authorized",
          "rejected_reversible",
          "rejected_irreversible"
        ],
        "type": "string",
        "examples": [
          "cancelled"
        ]
      },
      "transaction_type": {
        "description": "The type of transaction.",
        "enum": [
          "cc_payment",
          "cc_credit",
          "funding_transfer",
          "processing_fee_transfer",
          "reserve_transfer",
          "float_transfer",
          "merchant_credit",
          "merchant_debit",
          "funding_withdrawal",
          "processing_fee_withdrawal",
          "zero_amount",
          "bolt_fee_transfer",
          "bolt_fee_withdrawal",
          "bank_account_verification",
          "authorization_verification",
          "paypal_payment",
          "paypal_refund",
          "apm_payment",
          "apm_refund",
          "zero_amount_verification"
        ],
        "type": "string",
        "examples": [
          "cc_payment"
        ]
      },
      "credit_card_void_view": {
        "properties": {
          "cause": {
            "$ref": "#/components/schemas/credit_card_void_cause"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_void_status"
          },
          "void": {
            "description": "The void ID returned from the payment processor.",
            "type": "string",
            "examples": [
              "123456"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_void_cause": {
        "description": "Specifies why this particular transaction is voided.",
        "enum": [
          "merchant_action",
          "paypal_sync",
          "amazon_pay_sync",
          "irreversible_reject",
          "auth_expire",
          "auth_verification_expired",
          "payment_method_updater",
          null
        ],
        "type": "string"
      },
      "credit_card_void_status": {
        "description": "The status of the void request.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "authorization_verification_status": {
        "description": "Used to track the status of micro-authorizations. **Nullable** for Transactions Details. ",
        "enum": [
          "new",
          "verified",
          "failed",
          "expired"
        ],
        "type": "string",
        "examples": [
          "new"
        ]
      },
      "authorization_id": {
        "description": "The authorization's id.",
        "type": "string",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "captures_view": {
        "description": "All captures associated with the transaction. **Nullable** for Transactions Details.",
        "items": {
          "$ref": "#/components/schemas/capture_view"
        },
        "type": "array"
      },
      "chargeback_details": {
        "properties": {
          "amt_won": {
            "$ref": "#/components/schemas/amount_view"
          },
          "chargeback_amt": {
            "$ref": "#/components/schemas/amount_view"
          },
          "chargeback_fee": {
            "$ref": "#/components/schemas/amount_view"
          },
          "chargeback_id": {
            "$ref": "#/components/schemas/chargeback_id"
          },
          "event_views": {
            "items": {
              "$ref": "#/components/schemas/chargeback_event_view"
            },
            "type": "array"
          },
          "net_amt": {
            "$ref": "#/components/schemas/amount_view"
          },
          "reason": {
            "$ref": "#/components/schemas/chargeback_reason"
          },
          "reason_code": {
            "$ref": "#/components/schemas/chargeback_reason_code"
          },
          "representment_reply_by_date": {
            "$ref": "#/components/schemas/chargeback_representment_reply_by_date"
          },
          "representment_result": {
            "$ref": "#/components/schemas/chargeback_representment_result"
          }
        },
        "type": "object"
      },
      "chargeback_id": {
        "description": "The unique ID of the chargeback.",
        "type": "string",
        "examples": [
          "a3ad4d56fd7"
        ]
      },
      "chargeback_event_view": {
        "properties": {
          "content": {
            "type": "string"
          },
          "time": {
            "type": "number"
          }
        },
        "type": "object"
      },
      "chargeback_reason": {
        "description": "The reason for the chargeback.",
        "type": "string",
        "examples": [
          "string"
        ]
      },
      "chargeback_reason_code": {
        "description": "Bolt's [standardized reason codes](https://help.boltapp.com/merchants/references/policies/disputes/dispute-codes/).",
        "enum": [
          "authorization_failed",
          "cancelled_recurring",
          "cardholder_dispute",
          "currency_error",
          "duplicate",
          "fraud_general",
          "fraud_no_authorization",
          "incorrect_amount",
          "late_presentment",
          "processing_error",
          "processor_general",
          "product_defective",
          "product_not_received",
          "product_returned",
          "request_for_information"
        ],
        "type": "string",
        "examples": [
          "product_not_received"
        ]
      },
      "chargeback_representment_reply_by_date": {
        "description": "The date of the chargeback.",
        "type": "integer",
        "examples": [
          1485997169003
        ]
      },
      "chargeback_representment_result": {
        "description": "The result of the chargeback representment.",
        "enum": [
          "none",
          "open",
          "lost",
          "won"
        ],
        "type": "string",
        "examples": [
          "won"
        ]
      },
      "credit": {
        "properties": {
          "status": {
            "type": "string",
            "examples": [
              "succeeded"
            ]
          }
        },
        "type": "object"
      },
      "custom_fields": {
        "properties": {
          "checkout_setup": {
            "enum": [
              "shipping_step",
              "delivery_step",
              "payment_step",
              "account_registration_sso"
            ],
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "dynamic": {
            "description": "Defines whether the field is dynamic.",
            "type": "boolean",
            "examples": [
              false
            ]
          },
          "context": {
            "description": "The app context of where the custom field is used.",
            "enum": [
              "CHECKOUT",
              "SSO"
            ],
            "type": "string",
            "examples": [
              "CHECKOUT"
            ]
          },
          "external_id": {
            "description": "The external ID for the custom field.",
            "type": "string",
            "examples": [
              "123456"
            ]
          },
          "field_setup": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "label": {
            "description": "The displayed label for the custom field, seen by the shopper.",
            "type": "string",
            "examples": [
              "Special Field"
            ]
          },
          "position": {
            "type": "integer",
            "examples": [
              1
            ]
          },
          "public_id": {
            "description": "The internal ID for the custom field.",
            "type": "string",
            "examples": [
              "i-123456"
            ]
          },
          "required": {
            "description": "Defines if the field must be completed to check out.",
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "subscribe_to_newsletter": {
            "description": "Defines whether the shopper is opted into a newsletter or not.",
            "type": "boolean",
            "examples": [
              false
            ]
          }
        },
        "type": "object"
      },
      "customer_list_status": {
        "properties": {
          "auto_approved": {
            "type": "boolean"
          },
          "block_listed": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "credit_card_user": {
        "description": "The credit card user.",
        "properties": {
          "emails": {
            "$ref": "#/components/schemas/emails"
          },
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "id": {
            "$ref": "#/components/schemas/consumer_id"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          },
          "phones": {
            "$ref": "#/components/schemas/phones_with_country_code"
          }
        },
        "type": "object"
      },
      "emails": {
        "description": "A list of email addresses. **Nullable** for Transactions Details.",
        "items": {
          "description": "An object of user email.",
          "properties": {
            "address": {
              "$ref": "#/components/schemas/email"
            },
            "id": {
              "$ref": "#/components/schemas/email_id"
            },
            "priority": {
              "$ref": "#/components/schemas/email_priority"
            },
            "status": {
              "$ref": "#/components/schemas/email_status"
            }
          },
          "type": "object"
        },
        "type": "array"
      },
      "email_id": {
        "description": "This is the ID for the email address associated with the shopper.",
        "type": "string",
        "examples": [
          "123"
        ]
      },
      "email_priority": {
        "description": "This is the priority of the contact method. This field's contents are not displayed in the transaction details view.",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "email_status": {
        "description": "This is the status of the contact method.",
        "enum": [
          "active",
          "pending",
          "inactive"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "first_name": {
        "description": "The person's first name.",
        "type": "string",
        "examples": [
          "Charlotte"
        ]
      },
      "consumer_id": {
        "description": "The shopper's unique ID.",
        "type": "string",
        "examples": [
          "b2vghjk2v4c5fgdh3jak"
        ]
      },
      "last_name": {
        "description": "The person's last name.",
        "type": "string",
        "examples": [
          "Charles"
        ]
      },
      "phones_with_country_code": {
        "description": "A list of phone numbers.",
        "items": {
          "description": "A phone number with country code.",
          "properties": {
            "country_code": {
              "$ref": "#/components/schemas/phone_country_code"
            },
            "id": {
              "$ref": "#/components/schemas/phone_id"
            },
            "number": {
              "$ref": "#/components/schemas/phone"
            },
            "priority": {
              "$ref": "#/components/schemas/phone_priority"
            },
            "status": {
              "$ref": "#/components/schemas/phone_status"
            }
          },
          "type": "object"
        },
        "type": "array"
      },
      "phone_country_code": {
        "description": "A phone number's country code.",
        "type": "string",
        "examples": [
          "1"
        ]
      },
      "phone_id": {
        "description": "This is the ID for the phone number associated with the shopper.",
        "type": "string",
        "examples": [
          "123"
        ]
      },
      "phone_priority": {
        "description": "This is the priority of the contact method. This field's contents are not displayed in the transaction details view.",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "phone_status": {
        "description": "This is the status of the contact method.",
        "enum": [
          "active",
          "pending",
          "inactive"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "consumer_user_membership": {
        "description": "**Nullable** for Transactions Details.\n",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/consumer_membership_status"
          }
        },
        "required": [
          "status"
        ],
        "type": "object"
      },
      "consumer_membership_status": {
        "description": "True if user has an AllPass membership associated to their Bolt Account. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "cancelled",
          "disabled",
          "free_trial"
        ],
        "type": "string"
      },
      "last_viewed_utc": {
        "description": "The last view time as UTC.",
        "type": "integer",
        "examples": [
          1485997169003
        ]
      },
      "manual_disputes": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency_iso"
          },
          "delivery_evidence": {
            "type": "string",
            "examples": [
              "Delivery Evidence"
            ]
          },
          "delivery_link": {
            "type": "string",
            "examples": [
              "https://example.com/delivery/234563245"
            ]
          },
          "dispute_evidence": {
            "type": "string",
            "examples": [
              "Dispute Evidence"
            ]
          },
          "dispute_link": {
            "type": "string",
            "examples": [
              "https://example.com/receipts/234563245"
            ]
          },
          "other_evidence": {
            "type": "string",
            "examples": [
              "Other Evidence"
            ]
          },
          "other_link": {
            "type": "string",
            "examples": [
              "https://example.com/other/234563245"
            ]
          },
          "reason": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "status": {
            "enum": [
              "pending",
              "approved",
              "denied"
            ],
            "type": "string",
            "examples": [
              "pending"
            ]
          }
        },
        "type": "object"
      },
      "amount": {
        "description": "The amount in cents. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          754
        ]
      },
      "currency_iso": {
        "description": "The 3-digit ISO code for the currency. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "USD"
        ]
      },
      "merchant": {
        "properties": {
          "created_at": {
            "$ref": "#/components/schemas/merchant_created_date"
          },
          "description": {
            "$ref": "#/components/schemas/merchant_description"
          },
          "onboarding_status": {
            "$ref": "#/components/schemas/merchant_onboarding_status_code"
          },
          "operational_processors": {
            "$ref": "#/components/schemas/transaction_operational_processors"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "public_id": {
            "$ref": "#/components/schemas/merchant_public_id"
          },
          "status": {
            "$ref": "#/components/schemas/merchant_status"
          },
          "time_zone": {
            "$ref": "#/components/schemas/merchant_time_zone"
          }
        },
        "required": [
          "created_at",
          "description",
          "processor",
          "operational_processors",
          "time_zone"
        ],
        "type": "object"
      },
      "merchant_created_date": {
        "description": "The date the merchant account was created.  **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1485997169003
        ]
      },
      "merchant_description": {
        "description": "The description of the merchant account. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "Brand Name Here."
        ]
      },
      "merchant_onboarding_status_code": {
        "enum": [
          "new_merchant",
          "user_created",
          "form_filled",
          "integration_done",
          "legacy",
          "processor_settings_received"
        ],
        "type": "string"
      },
      "transaction_operational_processors": {
        "description": "**Nullable** for Transactions Details.\n",
        "items": {
          "$ref": "#/components/schemas/transaction_operational_processor"
        },
        "type": "array"
      },
      "transaction_operational_processor": {
        "properties": {
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_processor_status"
          }
        },
        "required": [
          "processor",
          "status"
        ],
        "type": "object"
      },
      "transaction_processor_status": {
        "description": "The processor's status. Only `primary` and `active` processor are displayed.",
        "enum": [
          "primary",
          "active",
          "inactive"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "merchant_public_id": {
        "description": "The unique public ID for the merchant's Bolt account. A merchant account contains many merchant divisions.",
        "type": "string",
        "examples": [
          "zSrbabI3MFe8"
        ]
      },
      "merchant_status": {
        "description": "The merchant's status:\n  * `1` - Active\n  * `2` - Inactive\n  * `3` - Offboarding\n",
        "enum": [
          1,
          2,
          3
        ],
        "type": "integer"
      },
      "merchant_time_zone": {
        "description": "The timezone of the merchant. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "America/Los_Angeles"
        ]
      },
      "merchant_division": {
        "properties": {
          "account_page_url": {
            "$ref": "#/components/schemas/merchant_account_page_url"
          },
          "api_base_domain_url": {
            "type": "string",
            "examples": [
              "https://apibasedomainurl.com"
            ]
          },
          "create_order_url": {
            "description": "The endpoint URL provided by the merchant to Bolt for creating orders. **Nullable** for Transactions Details.",
            "type": "string",
            "examples": [
              "https://example.com/api/v1/create_order"
            ]
          },
          "debug_url": {
            "$ref": "#/components/schemas/merchant_debug_url"
          },
          "description": {
            "$ref": "#/components/schemas/merchant_division_description"
          },
          "get_account_url": {
            "$ref": "#/components/schemas/merchant_get_account_url"
          },
          "shopper_custom_fields_updated_url": {
            "$ref": "#/components/schemas/merchant_shopper_custom_fields_updated_url"
          },
          "hook_type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "hook_url": {
            "$ref": "#/components/schemas/merchant_hook_url"
          },
          "id": {
            "$ref": "#/components/schemas/merchant_division_id"
          },
          "is_universal_merchant_api": {
            "description": "Defines whether or not the Universal API method is in use. **Nullable** for Transactions Details.",
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "is_webhooks_v2": {
            "description": "Defines whether or not the second version of Bolt's webhooks is in use. **Nullable** for Transactions Details.",
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_logo"
          },
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "oauth_logout_url": {
            "$ref": "#/components/schemas/merchant_oauth_logout_url"
          },
          "oauth_redirect_url": {
            "$ref": "#/components/schemas/merchant_oauth_redirect_url"
          },
          "platform": {
            "$ref": "#/components/schemas/merchant_platform"
          },
          "plugin_config_url": {
            "$ref": "#/components/schemas/merchant_plugin_config_url"
          },
          "privacy_policy_url": {
            "$ref": "#/components/schemas/merchant_privacy_policy_url"
          },
          "product_info_url": {
            "$ref": "#/components/schemas/merchant_product_info_url"
          },
          "public_id": {
            "$ref": "#/components/schemas/merchant_division_public_id"
          },
          "shipping_and_tax_url": {
            "description": "The endpoint URL provided by the merchant to Bolt for shipping and tax calculations.",
            "type": "string",
            "examples": [
              "https://example.com/api/v1/shipping_and_tax"
            ]
          },
          "shipping_url": {
            "description": "The endpoint URL provided by the merchant to Bolt for shipping calculations. **Nullable** for Transactions Details.",
            "type": "string",
            "examples": [
              "https://example.com/api/v1/shipping"
            ]
          },
          "tax_url": {
            "description": "The endpoint URL provided by the merchant to Bolt for tax calculations. **Nullable** for Transactions Details.",
            "type": "string",
            "examples": [
              "https://example.com/api/v1/tax"
            ]
          },
          "terms_of_service_url": {
            "$ref": "#/components/schemas/merchant_terms_of_service_url"
          },
          "universal_merchant_api_url": {
            "$ref": "#/components/schemas/merchant_universal_merchant_api_url"
          },
          "update_cart_url": {
            "description": "The endpoint URL provided by the merchant to Bolt to pass cart updates.",
            "type": "string",
            "examples": [
              "https://example.com/api/v1/cart_update"
            ]
          },
          "validate_additional_account_data_url": {
            "$ref": "#/components/schemas/merchant_validate_additional_account_data_url"
          }
        },
        "required": [
          "merchant_id",
          "description",
          "is_universal_merchant_api",
          "is_webhooks_v2",
          "shipping_url",
          "tax_url"
        ],
        "type": "object"
      },
      "merchant_account_page_url": {
        "description": "The URL provided by the merchant for the account page.",
        "type": "string",
        "examples": [
          "https://example.com/account"
        ]
      },
      "merchant_debug_url": {
        "description": "The endpoint URL provided by the merchant for debugging.",
        "type": "string",
        "examples": [
          "https://example.com/v1/debug"
        ]
      },
      "merchant_division_description": {
        "description": "The description of the merchant division. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "Storefront for employees only."
        ]
      },
      "merchant_get_account_url": {
        "description": "The endpoint URL provided by the merchant to fetch accounts.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/account_get"
        ]
      },
      "merchant_shopper_custom_fields_updated_url": {
        "description": "The endpoint URL provided by the merchant to be notified whenever shopper respond to the custom fields for creating merchant platform account.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/shopper_custom_fields_updated"
        ]
      },
      "webhooks_type": {
        "description": "[Webhook events](https://help.boltapp.com/developers/guides/webhooks/#transaction-hook-types) that trigger a notification to the URL.  **Note**:`newsletter_subscription` is only for merchant use cases.\n\nSubscription events:\n* `subscription_created` - A subscription was created from a successful initial transaction.\n* `subscription_renewed` - A recurring subscription order was placed successfully and the next order was scheduled.\n* `subscription_canceled` - A subscription was canceled, by the merchant, by the shopper, or automatically (e.g. once its dunning retry schedule is exhausted). Also sent alongside `subscription_ended` when the subscription's configured final dunning action is cancellation.\n* `subscription_payment_failed` - A scheduled subscription order's payment attempt failed.\n* `subscription_paused` - A subscription was paused, by the merchant, by the shopper, or automatically once its dunning retry schedule is exhausted (when the configured final dunning action is pausing).\n* `subscription_unpaused` - A paused subscription was resumed, by the merchant or by the shopper.\n* `subscription_ended` - A subscription was permanently ended after its dunning retry schedule was exhausted. Sent alongside `subscription_canceled` for this case.\n",
        "enum": [
          "payment",
          "credit",
          "capture",
          "void",
          "auth",
          "pending",
          "rejected_irreversible",
          "rejected_reversible",
          "failed_payment",
          "newsletter_subscription",
          "risk_insights",
          "credit_card_deleted",
          "subscription_created",
          "subscription_renewed",
          "subscription_canceled",
          "subscription_payment_failed",
          "subscription_paused",
          "subscription_unpaused",
          "subscription_ended"
        ],
        "type": "string",
        "examples": [
          "pending"
        ]
      },
      "merchant_hook_url": {
        "description": "The endpoint URL provided by the merchant to send webhooks.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/hooks"
        ]
      },
      "merchant_division_id": {
        "description": "The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.",
        "type": "string",
        "examples": [
          "3X9aPQ67-YrB"
        ]
      },
      "merchant_logo": {
        "properties": {
          "domain": {
            "$ref": "#/components/schemas/merchant_division_domain"
          },
          "resource": {
            "$ref": "#/components/schemas/merchant_division_logo"
          }
        },
        "type": "object"
      },
      "merchant_division_domain": {
        "description": "The URL of the merchant division.",
        "type": "string",
        "examples": [
          "mystore-staging.boltapp.com"
        ]
      },
      "merchant_division_logo": {
        "description": "The logo image file for the merchant division.",
        "type": "string",
        "examples": [
          "division-logo.png"
        ]
      },
      "merchant_id": {
        "description": "The unique ID for the merchant's Bolt account. A merchant account contains many merchant divisions. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "3X9aPQ67-YrB"
        ]
      },
      "merchant_oauth_logout_url": {
        "description": "The endpoint URL provided by the merchant for logging out of OAuth accounts.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/oauth_logout"
        ]
      },
      "merchant_oauth_redirect_url": {
        "description": "The endpoint URL provided by the merchant for OAuth redirects.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/oauth_redirect"
        ]
      },
      "merchant_platform": {
        "description": "The type of platform being used for this merchant division.",
        "enum": [
          "none",
          "big_commerce",
          "shopify",
          "magento",
          "magento2",
          "woo_commerce",
          "drupal",
          "volusion",
          "prestashop",
          "netsuite",
          "miva",
          "commerce_cloud"
        ],
        "type": "string",
        "examples": [
          "big_commerce"
        ]
      },
      "merchant_plugin_config_url": {
        "description": "The endpoint URL provided by the merchant for checking plugin configuration details.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/plugin_config"
        ]
      },
      "merchant_privacy_policy_url": {
        "description": "The endpoint URL provided by the merchant for providing a unique privacy policy.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/privacy"
        ]
      },
      "merchant_product_info_url": {
        "description": "The endpoint URL provided by the merchant for checking product details.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/product_details"
        ]
      },
      "merchant_division_public_id": {
        "description": "The unique public ID for one of the merchant's store division.",
        "type": "string",
        "examples": [
          "3X9aPQ67-YrB"
        ]
      },
      "merchant_terms_of_service_url": {
        "description": "The endpoint URL provided by the merchant for providing unique terms of service.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/terms"
        ]
      },
      "merchant_universal_merchant_api_url": {
        "description": "The endpoint URL provided by the merchant to access their universal API.",
        "type": "string",
        "examples": [
          "https://example.com/api/bolt_universal"
        ]
      },
      "merchant_validate_additional_account_data_url": {
        "description": "The endpoint URL provided by the merchant for validating additional account data.",
        "type": "string",
        "examples": [
          "https://example.com/api/v1/account_validate"
        ]
      },
      "merchant_order_number": {
        "description": "The merchant's internal order number for this transaction.",
        "type": "string",
        "examples": [
          "O-1234567"
        ]
      },
      "order_view": {
        "properties": {
          "cart": {
            "$ref": "#/components/schemas/cart_view"
          },
          "dynamic_content": {
            "$ref": "#/components/schemas/i_order_dynamic_content"
          },
          "external_data": {
            "$ref": "#/components/schemas/order_external_data_view"
          },
          "platform_user_id": {
            "type": "string"
          },
          "requires_action": {
            "type": "string"
          },
          "token": {
            "type": "string"
          },
          "user_note": {
            "description": "Used by shoppers to make extra requests or provide details for gift messages.",
            "type": "string"
          }
        },
        "type": "object"
      },
      "cart_view": {
        "description": "This is the cart object returned in a successful response.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "cart_url": {
            "description": "Used to provide a link to the cart ID.",
            "maxLength": 8192,
            "type": "string",
            "examples": [
              "https://boltswagstore.com/orders/123456765432"
            ]
          },
          "currency": {
            "$ref": "#/components/schemas/i_currency"
          },
          "discount_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "discounts": {
            "items": {
              "$ref": "#/components/schemas/i_cart_discount_view"
            },
            "type": "array"
          },
          "display_id": {
            "type": "string",
            "examples": [
              "displayid_100"
            ]
          },
          "fee_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "fees": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          },
          "fulfillments": {
            "items": {
              "$ref": "#/components/schemas/fulfillment_view"
            },
            "type": "array"
          },
          "in_store_shipments": {
            "$ref": "#/components/schemas/in_store_shipment2"
          },
          "items": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          },
          "loyalty_rewards": {
            "items": {
              "$ref": "#/components/schemas/cart_loyalty_rewards_view"
            },
            "type": "array"
          },
          "loyalty_rewards_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "merchant_order_url": {
            "type": "string"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "msrp": {
            "$ref": "#/components/schemas/amount_view"
          },
          "order_description": {
            "description": "Used optionally to pass additional information like order numbers or other IDs as needed.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Order #1234567890"
            ]
          },
          "order_reference": {
            "description": "This value is used by Bolt as an external reference to a given order. This reference must be unique per successful transaction.",
            "type": "string",
            "examples": [
              "order_100"
            ]
          },
          "shipments": {
            "items": {
              "$ref": "#/components/schemas/i_cart_shipment_view"
            },
            "type": "array"
          },
          "shipping_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "subtotal_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "transaction_reference": {
            "description": "The 12 digit reference ID associated to a given transaction webhook for an order.",
            "maxLength": 12,
            "minLength": 12,
            "type": "string",
            "examples": [
              "6CEA-ZME1-DACE"
            ]
          }
        },
        "type": "object"
      },
      "i_currency": {
        "properties": {
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "i_cart_discount_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "code": {
            "description": "Discount code used.",
            "type": "string",
            "examples": [
              "SUMMER10"
            ]
          },
          "description": {
            "description": "Used to define the discount offering.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "10% off our summer collection"
            ]
          },
          "details_url": {
            "description": "Used to provide a link to additional details, such as a landing page, associated with the discount offering.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/SUMMERSALE"
            ]
          },
          "discount_category": {
            "enum": [
              "coupon",
              "giftcard",
              "managed_giftcard",
              "store_credit",
              "automatic_promotion",
              "membership_discount",
              "membership_giftcard",
              "subscription_discount",
              "rewards_discount",
              "shipping_discount",
              "unknown"
            ],
            "type": "string"
          },
          "free_shipping": {
            "$ref": "#/components/schemas/i_free_shipping_discount_view"
          },
          "reference": {
            "description": "Used to define the reference ID associated with the discount available.",
            "type": "string",
            "examples": [
              "DISC-1234"
            ]
          }
        },
        "type": "object"
      },
      "i_free_shipping_discount_view": {
        "properties": {
          "is_free_shipping": {
            "type": "boolean"
          },
          "maximum_cost_allowed": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "i_cart_item_view": {
        "properties": {
          "bolt_product_id": {
            "type": "string"
          },
          "brand": {
            "type": "string"
          },
          "category": {
            "description": "Used to define a product category associated with the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "bags"
            ]
          },
          "collections": {
            "$ref": "#/components/schemas/collections"
          },
          "color": {
            "description": "Used to define the color of the item.",
            "type": "string",
            "examples": [
              "Bolt Blue"
            ]
          },
          "customizations": {
            "items": {
              "$ref": "#/components/schemas/cart_item_customization"
            },
            "type": "array"
          },
          "description": {
            "type": "string"
          },
          "details_url": {
            "description": "Used to provide a link to the item's product page.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456"
            ]
          },
          "gift_option": {
            "$ref": "#/components/schemas/gift_option_view"
          },
          "hide": {
            "type": "boolean"
          },
          "image_url": {
            "description": "Used to provide a link to the image associated with the item.",
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456/images/1.png"
            ]
          },
          "isbn": {
            "description": "Used to define the International Standard Book Number associated with the book.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              9780091347314
            ]
          },
          "item_group": {
            "type": "string"
          },
          "manufacturer": {
            "description": "Used to define the organization that manufactured the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bolt Textiles USA"
            ]
          },
          "merchant_product_id": {
            "type": "string"
          },
          "merchant_variant_id": {
            "type": "string"
          },
          "msrp": {
            "$ref": "#/components/schemas/amount_view"
          },
          "name": {
            "type": "string"
          },
          "options": {
            "type": "string"
          },
          "properties": {
            "items": {
              "$ref": "#/components/schemas/cart_item_property_view"
            },
            "type": "array"
          },
          "quantity": {
            "format": "int64",
            "type": "number",
            "examples": [
              1
            ]
          },
          "reference": {
            "type": "string"
          },
          "shipment_id": {
            "type": "string"
          },
          "shipment_type": {
            "enum": [
              "unknown",
              "door_delivery",
              "ship_to_store",
              "in_store_pickup",
              "ship_to_home_only"
            ],
            "type": "string"
          },
          "shopify_line_item_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_variant_reference": {
            "format": "int64",
            "type": "number"
          },
          "size": {
            "description": "Used to define the size of the item.",
            "type": "string",
            "examples": [
              "Large"
            ]
          },
          "sku": {
            "description": "Used to define an alpha-numeric Stock Keeping Unit associated with the item as it is mapped to your internal product catalogue.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "BOLT-SKU_100"
            ]
          },
          "subscription": {
            "$ref": "#/components/schemas/subscription"
          },
          "tags": {
            "description": "Used to define a comma-separated list of tags associated with the item.",
            "type": "string",
            "examples": [
              "tote, blue, linen, eco-friendly"
            ]
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "taxable": {
            "type": "boolean"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "unknown",
              "digital",
              "physical",
              "bundled"
            ],
            "type": "string"
          },
          "unit_price": {
            "$ref": "#/components/schemas/amount_view"
          },
          "uom": {
            "description": "Used to define the unit of measure used to describe the product.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "inches"
            ]
          },
          "upc": {
            "description": "Used to define the 12-digit Universal Product Code (a barcode) associated with the item worldwide.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "0825764603119"
            ]
          },
          "weight": {
            "$ref": "#/components/schemas/i_weight"
          }
        },
        "type": "object"
      },
      "collections": {
        "items": {
          "$ref": "#/components/schemas/collection"
        },
        "type": "array"
      },
      "collection": {
        "type": "string",
        "examples": [
          "summer"
        ]
      },
      "cart_item_customization": {
        "properties": {
          "attributes": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "examples": [
              {
                "key1": "value1",
                "key2": "value2"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "price": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          }
        },
        "type": "object"
      },
      "gift_option_view": {
        "description": "Defines which gift options are hidden.",
        "properties": {
          "hide_gift_message": {
            "type": "boolean",
            "examples": [
              false
            ]
          },
          "hide_gift_wrap": {
            "type": "boolean",
            "examples": [
              false
            ]
          }
        },
        "type": "object"
      },
      "cart_item_property_view": {
        "properties": {
          "color": {
            "type": "string"
          },
          "display": {
            "type": "boolean"
          },
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "subscription": {
        "description": "Describes a product added as a recurring subscription.",
        "properties": {
          "frequency": {
            "description": "Describes how often the subscription recurs.",
            "properties": {
              "unit": {
                "description": "The unit for this subscription's frequency.",
                "enum": [
                  "day",
                  "week",
                  "month",
                  "year"
                ],
                "type": "string",
                "examples": [
                  "month"
                ]
              },
              "value": {
                "description": "The value applied to the unit frequency.",
                "type": "integer",
                "examples": [
                  2
                ]
              }
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "i_weight": {
        "properties": {
          "unit": {
            "type": "string"
          },
          "weight": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "fulfillment_view": {
        "properties": {
          "cart_shipment": {
            "$ref": "#/components/schemas/i_cart_shipment_view"
          },
          "fulfillment_type": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "in_store_cart_shipment": {
            "$ref": "#/components/schemas/in_store_shipment2"
          },
          "items": {
            "items": {
              "$ref": "#/components/schemas/i_cart_item_view"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "i_cart_shipment_view": {
        "properties": {
          "carrier": {
            "description": "The carrier used to deliver the shipment.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "USPS"
            ]
          },
          "cost": {
            "$ref": "#/components/schemas/amount_view"
          },
          "default": {
            "type": "boolean"
          },
          "description": {
            "items": {
              "$ref": "#/components/schemas/i_description_part"
            },
            "type": "array"
          },
          "description_tooltips": {
            "items": {
              "$ref": "#/components/schemas/i_description_tooltip"
            },
            "type": "array"
          },
          "estimated_delivery_date": {
            "format": "date-time",
            "type": "string",
            "examples": [
              "2022-04-10 16:12:38.386000+00:00"
            ]
          },
          "expedited": {
            "description": "Used to determine whether a shipment has been expedited or not.",
            "type": "boolean"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_option_view"
          },
          "id": {
            "type": "string"
          },
          "package_dimension": {
            "properties": {
              "depth": {
                "format": "int64",
                "type": "number"
              },
              "height": {
                "format": "int64",
                "type": "number"
              },
              "unit": {
                "type": "string"
              },
              "width": {
                "format": "int64",
                "type": "number"
              }
            },
            "type": "object"
          },
          "package_type": {
            "type": "string"
          },
          "package_weight": {
            "$ref": "#/components/schemas/i_weight"
          },
          "reference": {
            "type": "string"
          },
          "service": {
            "type": "string"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "shipping_method": {
            "type": "string"
          },
          "signature": {
            "type": "string"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "total_weight": {
            "$ref": "#/components/schemas/i_weight"
          },
          "type": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "i_description_part": {
        "properties": {
          "content": {
            "type": "string"
          },
          "is_html": {
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "i_description_tooltip": {
        "properties": {
          "html_content": {
            "type": "string"
          },
          "target": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "in_store_shipment2": {
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "address": {
            "$ref": "#/components/schemas/address_view"
          },
          "distance": {
            "type": "number",
            "examples": [
              1.2
            ]
          },
          "distance_unit": {
            "enum": [
              "mile",
              "km"
            ],
            "type": "string"
          },
          "shipment": {
            "$ref": "#/components/schemas/in_store_shipment"
          },
          "store_name": {
            "type": "string",
            "examples": [
              "My Store"
            ]
          }
        },
        "type": "object"
      },
      "in_store_shipment": {
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "carrier": {
            "$ref": "#/components/schemas/carrier"
          },
          "cost": {
            "$ref": "#/components/schemas/amounts"
          },
          "default": {
            "$ref": "#/components/schemas/default"
          },
          "estimated_delivery_date": {
            "$ref": "#/components/schemas/estimated_delivery_date"
          },
          "expedited": {
            "$ref": "#/components/schemas/expedited"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_options"
          },
          "id": {
            "$ref": "#/components/schemas/shipping_address_id"
          },
          "package_dimension": {
            "$ref": "#/components/schemas/package_dimension"
[...]
